gtkmm: Gtk::Spinner Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::Spinner Class Reference
Widgets

A widget that displays a spinner animation. More...

Inheritance diagram for Gtk::Spinner:
[legend]
Collaboration diagram for Gtk::Spinner:
[legend]

List of all members.

## Public Member Functions
virtual | ~Spinner ()
GtkSpinner* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSpinner* | gobj () const
| Provides access to the underlying C GtkObject.
| Spinner ()
void | start ()
| Starts the animation of the spinner.
void | stop ()
| Stops the animation of the spinner.
Glib::PropertyProxy< bool > | property_active ()
| Whether the spinner is active.
Glib::PropertyProxy_ReadOnly < bool > | property_active () const
| Whether the spinner is active.
## Related Functions
(Note that these are not member functions.)
Gtk::Spinner* | wrap (GtkSpinner* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A widget that displays a spinner animation.

Since gtkmm 2.20:

## Constructor & Destructor Documentation

virtual Gtk::Spinner::~Spinner | ( |  | ) | `[virtual]`

Gtk::Spinner::Spinner | ( |  | ) |

## Member Function Documentation

GtkSpinner* Gtk::Spinner::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::DrawingArea.

const GtkSpinner* Gtk::Spinner::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::DrawingArea.

Glib::PropertyProxy<bool> Gtk::Spinner::property_active | ( |  | ) |

Whether the spinner is active.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Spinner::property_active | ( |  | ) | const

Whether the spinner is active.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Spinner::start | ( |  | ) |

Starts the animation of the spinner.

Since gtkmm 2.20:

void Gtk::Spinner::stop | ( |  | ) |

Stops the animation of the spinner.

Since gtkmm 2.20:

## Friends And Related Function Documentation

Gtk::Spinner* wrap | ( | GtkSpinner * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/spinner.h